Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1061603 - ProjectExplorer: Menu with projects (repositories/org units) not fully visible when more items present
Summary: ProjectExplorer: Menu with projects (repositories/org units) not fully visibl...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: Business Central
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ER2
: 6.0.1
Assignee: manstis
QA Contact: Jan Hrcek
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-05 07:55 UTC by Jan Hrcek
Modified: 2014-08-06 20:02 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-06 20:02:42 UTC
Type: Bug


Attachments (Terms of Use)
Video showing the problem (deleted)
2014-02-05 07:55 UTC, Jan Hrcek
no flags Details

Description Jan Hrcek 2014-02-05 07:55:49 UTC
Created attachment 859527 [details]
Video showing the problem

Description of problem:
When Org.units (or repositories or projects) menu in Project Explorer contains more items AND there are no items listed in the currently opened 'context' (more likely to happen with Project view than with Repository view) then the menu is not displayed fully and scrollbar appears. Observe the problem in the video attached.

I consider this minor user experience issue, which can however become quite annoying in production, when users will definitely have many projects/repositories/org.units and will have to scroll almost each time when selecting the menu item.

Version-Release number of selected component (if applicable):
BPMS 6.0.0 CR2 (checked in Firefox 24 and latest Chrome)

How reproducible:
Always

Steps to Reproduce:
1. Create greater number of projects (like 10) and observe the menus in project explorer (Project view)

Actual results:
The menu is not fully displayed as it is hidden "below" the grey stripe at the bottom.

Expected results:
Menu should be mostly visible without user having to scroll.

Additional info:

Comment 1 Jan Hrcek 2014-03-04 06:50:29 UTC
This bugzilla seems to have been fixed in BPMS 6.0.1 ER2

Comment 2 Jan Hrcek 2014-03-07 12:44:33 UTC
Ok, fixed in BPMS 6.0.1 ER2


Note You need to log in before you can comment on or make changes to this bug.